---

- name: Locate AWS RHEL repos
  find:
    paths: /etc/yum.repos.d
    patterns: "*rhui*"
  register: rhui_repos

- name: Delete AWS RHEL repos
  file:
    path: "{{ item.path }}"
    state: absent
  with_items: "{{ rhui_repos.files }}"

- name:                Installing ADTE extra RPM repositories
  yum_repository:
    name:              "{{ item.name }}"
    description:       "{{ item.description }}"
    baseurl:           "{{ item.baseurl }}"
    async:             yes
    enabled:           "{{ item.enabled }}"
    state:             "{{ item.state }}"
  loop:
    - name:            adte-extra-RPMs
      description:     "ADTE private repo for Enterprise linux packages"
      baseurl:         "https://artifacts.adtegc.dev:8443/artifactory/adte-7-rpms/"
      enabled:         yes
      state:           present

    - name:            adte-gitlab-pkgs
      description:     "Packages for Gitlab Enterprise Edition & Gitlab Runner"
      baseurl:         "https://artifacts.adtegc.dev:8443/artifactory/adte-gitlab/el/$releasever/$basearch"
      enabled:         yes
      state:           present


- name:                Installing system dependencies
  yum:
    name:              "{{ item }}"
    state:             present
    disable_gpg_check: yes
  loop:
    - curl
    - policycoreutils-python
    - openssh-server
    - python-pip

- name:                Installing security updates
  yum:
    name:              '*'
    state:             latest
    security:          yes
    update_only:       yes
    update_cache:      yes
